summaryrefslogtreecommitdiff
path: root/xml2-config.in
diff options
context:
space:
mode:
authorMike Hommey <mh@glandium.org>2004-03-25 06:59:32 +0000
committerMike Hommey <mh@glandium.org>2004-03-25 06:59:32 +0000
commitd09ab089457ae3c20cc98f9afa03379c6ebf9598 (patch)
treef34702d634972abbc1b478a4529149b548a1cd4c /xml2-config.in
downloadlibxml2-d09ab089457ae3c20cc98f9afa03379c6ebf9598.tar.gz
[svn-inject] Installing original source versionupstream/2.6.8
Diffstat (limited to 'xml2-config.in')
-rw-r--r--xml2-config.in99
1 files changed, 99 insertions, 0 deletions
diff --git a/xml2-config.in b/xml2-config.in
new file mode 100644
index 0000000..cddd1a8
--- /dev/null
+++ b/xml2-config.in
@@ -0,0 +1,99 @@
+#! /bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+usage()
+{
+ cat <<EOF
+Usage: xml2-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change libxml prefix [default $prefix]
+ --exec-prefix=DIR change libxml exec prefix [default $exec_prefix]
+ --libs print library linking information
+ --libtool-libs print linking information for use with libtool
+ --cflags print pre-processor and compiler flags
+ --help display this help and exit
+ --version output version information
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ includedir=$prefix/include
+ libdir=$prefix/lib
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ libdir=$exec_prefix/lib
+ ;;
+
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+
+ --version)
+ echo @VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo @XML_INCLUDEDIR@ @XML_CFLAGS@
+ ;;
+
+ --libtool-libs)
+ echo ${libdir}/@XML_LIBTOOLLIBS@
+ ;;
+
+ --libs)
+ if [ "`uname`" = "Linux" ]
+ then
+ if [ "@XML_LIBDIR@" = "-L/usr/lib64" ]
+ then
+ echo @XML_LIBS@
+ else
+ echo @XML_LIBDIR@ @XML_LIBS@
+ fi
+ else
+ echo @XML_LIBDIR@ @XML_LIBS@
+ fi
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0